Remove course from group
Endpoint URL
DELETE /api/v2/group-courses
Removes a course from a specific group. To successfully remove a course from a group, provide the group's unique ID using the group_id attribute and the course's unique ID using the course_id attribute in the request body. If the request is valid and the association exists, the API deletes the group-course relationship and returns a 204 No Content response upon success.
Request
Responses
- 204
- 400
- 403
- 404
- 409
Course successfully removed from the group
Invalid or missing request body fields
Insufficient permissions to remove this course from the group
Group or course not found
Course is not assigned to this group, or is part of a learning path assigned to the group